% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/import-code.R
\name{ls_code_library}
\alias{ls_code_library}
\title{List files in code library}
\usage{
ls_code_library(pattern = ".")
}
\arguments{
\item{pattern}{Optional character. Filter the code library use regex.}
}
\value{
Character vector of matched file paths.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#stable}{\figure{lifecycle-stable.svg}{options: alt='[Stable]'}}}{\strong{[Stable]}}

A low level function to interact with the code library.  It is easier in most
cases to use the shiny "code library" RStudio 'Addin'.
}
\examples{

ls_code_library("Models/ADVAN2.mod")

## requires NMproject directory structure to operate in
\dontrun{
ls_code_library("Models/ADVAN2.mod") \%>\%
  stage()
}

}
\seealso{
\code{\link[=code_library]{code_library()}}, \code{\link[=stage]{stage()}}, \code{\link[=import]{import()}}
}
