;; 1. Based on: m1
;; 2. Description: 1CMT+oral
;; x1. Author: tarjinde

$PROBLEM ...

;; 4. Date: 01.01.2011
;; 5. Version: 1
;; 6. Label:
;; Basic model
;; 7. Structural model:
;; One compartment model
;; 8. Covariate model:
;; No covariates
;; 9. Inter-individual variability:
;; CL and V1.
;; 10. Inter-occasion variability:
;; No IOV
;; 11. Residual variability:
;; Additive + Proportional
;; 12. Estimation:
;; IMP

$INPUT
ID AMT TIME DV WT
$DATA ../DerivedData/data.csv IGNORE=@
$SUB ADVAN12 TRANS4
$PK

TVKA=EXP(THETA(1))
MU_1=LOG(TVKA)
KA = EXP(MU_1+ETA(1))

TVCL=EXP(THETA(2))
MU_2=LOG(TVCL)
CL = EXP(MU_2+ETA(2))

TVV2=EXP(THETA(3))
MU_3=LOG(TVV2)
V2 = EXP(MU_3+ETA(3))

; CL = K*V

S2 = V2

TVQ3=EXP(THETA(4))
MU_4=LOG(TVQ3)
Q3 = EXP(MU_4+ETA(4))
TVV3=EXP(THETA(5))
MU_5=LOG(TVV3)
V3 = EXP(MU_5+ETA(5))
TVQ4=EXP(THETA(6))
MU_6=LOG(TVQ4)
Q4 = EXP(MU_6+ETA(6))
TVV4=EXP(THETA(7))
MU_7=LOG(TVV4)
V4 = EXP(MU_7+ETA(7))
$ERROR

IPRED=F
W=SQRT(SIGMA(1,1)*IPRED**2 + SIGMA(2,2))  ; proportional + additive error
IRES=DV-IPRED
IWRES=IRES/W
Y=IPRED + IPRED*EPS(1) + EPS(2)

$THETA
0.5   ; KA ; h-1 ; LOG
-3   ; CL ; h-1 ; LOG
-0.5   ; V2 ; L ; LOG
0.095       ; Q3 ;  ;  LOG
0.095       ; V3 ;  ;  LOG
0.095       ; Q4 ;  ;  LOG
0.095       ; V4 ;  ;  LOG
$OMEGA
0.1			          ; IIV_KA ; LOG
0.1			          ; IIV_CL ; LOG
0.1			          ; IIV_V2 ; LOG

0.1     ; IIV_Q3 ; LOG
0.1     ; IIV_V3 ; LOG
0.1     ; IIV_Q4 ; LOG
0.1     ; IIV_V4 ; LOG
$SIGMA
0.1   ; prop error
0.1   ; add error

; Parameter estimation - FOCE
;$EST METHOD=1 INTER NOABORT MAXEVAL=9999 PRINT=1 NSIG=3 SIGL=9

; Parameter estimation - IMP
$EST METHOD=IMP ISAMPLE=300 NITER=300 RANMETHOD=3S2P
CTYPE=3 CITER=10 CALPHA=0.05 CINTERVAL=3
PRINT=1 NOABORT INTERACTION

; Parameer estimation - SAEM
;$EST METHOD=SAEM ISAMPLE=2 NBURN=1000 NITER=500 RANMETHOD=3S2P
;CTYPE=3 CITER=10 CALPHA=0.05 CINTERVAL=10
;PRINT=1 NOABORT INTERACTION

; Objective function and covariance evaluation
$EST METHOD=IMP INTER EONLY= 1 MAPITER=0 ISAMPLE = 2000 NITER = 10 RANMETHOD=3S2P NOABORT PRINT=1 NSIG=3 SIGL=9

$COV MATRIX=R PRINT=E UNCONDITIONAL SIGL=10

;$SIM (1234) ONLYSIM SUBPR=1

$TABLE ID TIME IPRED IWRES IRES CWRES NPDE
FILE=sdtaba12t4 NOPRINT ONEHEADER
$TABLE ID ETAS(1:LAST); individual parameters
FILE=pataba12t4 NOPRINT ONEHEADER
$TABLE ID ; continuous covariates
FILE=cotaba12t4 NOPRINT ONEHEADER
$TABLE ID ; categorical covariates
FILE=cataba12t4 NOPRINT ONEHEADER
